import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:calculus/cubit/game_cubit.dart';
import 'package:calculus/models/game/game.dart';
import 'package:calculus/ui/helpers/outlined_text_widget.dart';

class ScoreIndicator extends StatelessWidget {
  const ScoreIndicator({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        final int score = currentGame.score;

        const Color textColor = Color.fromARGB(255, 238, 238, 238);
        const Color outlineColor = Color.fromARGB(255, 200, 200, 200);

        return OutlinedText(
          text: '$score',
          fontSize: 50,
          textColor: textColor,
          outlineColor: outlineColor,
        );
      },
    );
  }
}
